# Uses of Enum Class
xg.protocol.messages.ProtocolPrivMessages.protocolPrivAck.denialReason

Packages that use ProtocolPrivMessages.protocolPrivAck.denialReason
Package
Description
xg.protocol.messages

## Uses of ProtocolPrivMessages.protocolPrivAck.denialReason in xg.protocol.messages

Methods in xg.protocol.messages that return ProtocolPrivMessages.protocolPrivAck.denialReason
Modifier and Type
Method
Description
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
ProtocolPrivMessages.protocolPrivAck.denialReason.`forNumber(int value)`
`ProtocolPrivMessages.protocolPrivAck.denialReason`
ProtocolPrivMessages.protocolPrivAck.Builder.`getDenialReason()`
The denial reason, if any
`ProtocolPrivMessages.protocolPrivAck.denialReason`
ProtocolPrivMessages.protocolPrivAck.`getDenialReason()`
The denial reason, if any
`ProtocolPrivMessages.protocolPrivAck.denialReason`
ProtocolPrivMessages.protocolPrivAckOrBuilder.`getDenialReason()`
The denial reason, if any
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
ProtocolPrivMessages.protocolPrivAck.denialReason.`valueOf(int value)`
Deprecated.
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
ProtocolPrivMessages.protocolPrivAck.denialReason.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
ProtocolPrivMessages.protocolPrivAck.denialReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivAck.denialReason[]`
ProtocolPrivMessages.protocolPrivAck.denialReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in xg.protocol.messages that return types with arguments of type ProtocolPrivMessages.protocolPrivAck.denialReason
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ProtocolPrivMessages.protocolPrivAck.denialReason>`
ProtocolPrivMessages.protocolPrivAck.denialReason.`internalGetValueMap()`
Methods in xg.protocol.messages with parameters of type ProtocolPrivMessages.protocolPrivAck.denialReason
Modifier and Type
Method
Description
`ProtocolPrivMessages.protocolPrivAck.Builder`
ProtocolPrivMessages.protocolPrivAck.Builder.`setDenialReason(ProtocolPrivMessages.protocolPrivAck.denialReason value)`
The denial reason, if any